
From: matthieu castet <castet.matthieu@free.fr>

Blacklist devices that don't have CRS method as they are useless for pnp
layer as they don't provide any resource.

Cc: "Brown, Len" <len.brown@intel.com>
Cc: Adam Belay <ambx1@neo.rr.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pnp/pnpacpi/core.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/pnp/pnpacpi/core.c~pnpacpi-only-parse-device-that-have-crs-method drivers/pnp/pnpacpi/core.c
--- devel/drivers/pnp/pnpacpi/core.c~pnpacpi-only-parse-device-that-have-crs-method	2005-09-11 03:20:29.000000000 -0700
+++ devel-akpm/drivers/pnp/pnpacpi/core.c	2005-09-11 03:20:29.000000000 -0700
@@ -131,7 +131,8 @@ static int __init pnpacpi_add_device(str
 	struct pnp_id *dev_id;
 	struct pnp_dev *dev;
 
-	if (!ispnpidacpi(acpi_device_hid(device)) ||
+	status = acpi_get_handle(device->handle, "_CRS", &temp);
+	if (ACPI_FAILURE(status) || !ispnpidacpi(acpi_device_hid(device)) ||
 		is_exclusive_device(device))
 		return 0;
 
_
